## org.apache.mahout.clustering.topdown.postprocessor
Class ClusterOutputPostProcessorReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.clustering.topdown.postprocessor.ClusterOutputPostProcessorReducer

    public class ClusterOutputPostProcessorReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Reducer for post processing cluster output.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`ClusterOutputPostProcessorReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.IntWritable key, Iterable<VectorWritable> values, org.apache.hadoop.mapreduce.Reducer.Context context)` The key is the remapped cluster id and the values contains the vectors in that cluster.
`void` `setup(org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterOutputPostProcessorReducer

    public ClusterOutputPostProcessorReducer()

Method Detail

### setup

    public void setup(org.apache.hadoop.mapreduce.Reducer.Context context)
               throws IOException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable key,
                          Iterable<VectorWritable> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  The key is the remapped cluster id and the values contains the vectors in that cluster.

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.